#!/bin/bash

#
#  Install script for Fixpoint Mathematical Library 
#  URL: http://code.google.com/p/fixpointlib/
#
#  Script written by Gregor Rebel 2010-2011.
# 
#  Feel free do distribute and change to your own needs!
#
# Tested successfully on:
# Ubuntu 10.04 Netbook Edition x86
# KUbuntu 11.04 x86
# openSuSE 11.4 x86
# XUbuntu 11.10 x64

source scripts/installFuncs.sh

if [ "$USER" == "root" ]; then
  echo "$0: ERROR this script should not been run as user root!"
  exit 10
fi

INSTALLPATH="400_support_adc"
dir $INSTALLPATH
cd $INSTALLPATH

#{ IMPLEMENT YOUR INSTALL SCRIPT BELOW -----------------------------------------------

  Name="${INSTALLPATH}" #{
  File="../extensions/makefile.${Name}" #{
  cat <<END_OF_MAKEFILE >$File 
#
#                               ToolChain_STM32
#
#                         Extension to central makefile
#
#                   makefile written by Gregor Rebel 2010-2011
#
# Adds Libraries/stm32_ADC.* to project.
# Provides helper function for using the Analog Digital Converters of CortexM3
# See Libraries/stm32_ADC.* for details!

EXTENSION_${Name} = 1

ifdef EXTENSION_${Name}

  # activate certain parts of source-code
  COMPILE_OPTS += -DEXTENSION_${Name}
  
  INCLUDE_DIRS += -I additionals/common/
  vpath %.c additionals/common/
  
  MAIN_OBJS += stm32f10x_adc.o stm32_adc.o

endif

END_OF_MAKEFILE
#}
  File="../extensions/activate.${Name}.sh" #{
  createActivateScriptHead $File
  
  # add createLinks for each link required for this extension
  echo "createLink \$ScriptPath/makefile.$Name \$LinkDir/makefile.$Name '' QUIET" >>$File
  
  createActivateScriptTail $File $Name
  #}

#}

  echo "Installed successfully: $INSTALLPATH"

cd ..
#} IMPLEMENT YOUR INSTALL SCRIPT ABOVE -----------------------------------------------

exit 0
