#!/bin/bash

#
#  Install script for Fixpoint Mathematical Library 
#  URL: http://code.google.com/p/fixpointlib/
#
#  Script written by Gregor Rebel 2010-2011.
# 
#  Feel free do distribute and change to your own needs!
#
# Tested successfully on:
# Ubuntu 10.04 Netbook Edition x86
# KUbuntu 11.04 x86
# openSuSE 11.4 x86
# XUbuntu 11.10 x64

source scripts/installFuncs.sh

if [ "$USER" == "root" ]; then
  echo "$0: ERROR this script should not been run as user root!"
  exit 10
fi

INSTALLPATH="700_example_threading"
dir $INSTALLPATH
cd $INSTALLPATH

#{ IMPLEMENT YOUR INSTALL SCRIPT BELOW -----------------------------------------------

  Name="${INSTALLPATH}_queues" #{
  cat <<END_OF_MAKEFILE >../extensions/makefile.$Name #{
#
#                               ToolChain_STM32
#
#                         Extension to central makefile
#
#                   makefile written by Gregor Rebel 2010-2011
#

EXTENSION_$Name = 1

ifdef EXTENSION_$Name

  # activate certain parts of source-code
  COMPILE_OPTS += -DEXTENSION_$Name

  INCLUDE_DIRS += -I additionals/examples/
  vpath %.c additionals/examples/

  MAIN_OBJS += example_threading_queues.o

endif

END_OF_MAKEFILE
#}
  
  File="../extensions/activate.${Name}_lcd.sh" #{
  createActivateScriptHead $File
  echo 'rm 2>/dev/null $LinkDir/makefile.*' >>$File

  # add createLinks for each link required for this extension
  ../scripts/printBaseExtensions.sh >>$File
  echo "activate.400_lcd_320x240_olimex.sh QUIET" >>$File
  echo "activate.100_board_olimex_lcd.sh QUIET" >>$File
  echo "createLink \$ScriptPath/makefile.$Name \$LinkDir/makefile.$Name '' QUIET" >>$File
  
  createActivateScriptTail $File $Name
  #}
  File="../extensions/activate.${Name}_led.sh" #{
  createActivateScriptHead $File
  echo 'rm 2>/dev/null $LinkDir/makefile.*' >>$File

  
  # add createLinks for each link required for this extension
  ../scripts/printBaseExtensions.sh >>$File
  echo "activate.600_example_leds.sh QUIET" >>$File
  echo "createLink \$ScriptPath/makefile.$Name \$LinkDir/makefile.$Name '' QUIET" >>$File
  
  createActivateScriptTail $File $Name
  #}

#}queues
  Name="${INSTALLPATH}_semaphores" #{
  cat <<END_OF_MAKEFILE >../extensions/makefile.$Name #{
#
#                               ToolChain_STM32
#
#                         Extension to central makefile
#
#                   makefile written by Gregor Rebel 2010-2011
#

EXTENSION_$Name = 1

ifdef EXTENSION_$Name

  # activate certain parts of source-code
  COMPILE_OPTS += -DEXTENSION_$Name
  COMPILE_OPTS += -DconfigUSE_COUNTING_SEMAPHORES
  COMPILE_OPTS += -DconfigUSE_MUTEXES

  INCLUDE_DIRS += -I additionals/examples/
  vpath %.c additionals/examples/

  MAIN_OBJS += example_threading_semaphores.o

endif

END_OF_MAKEFILE
#}

  File="../extensions/activate.${Name}_lcd.sh" #{
  createActivateScriptHead $File
  echo 'rm 2>/dev/null $LinkDir/makefile.*' >>$File
  
  # add createLinks for each link required for this extension
  ../scripts/printBaseExtensions.sh >>$File
  echo "activate.400_lcd_320x240_olimex.sh QUIET" >>$File
  echo "activate.100_board_olimex_lcd.sh QUIET" >>$File
  echo "createLink \$ScriptPath/makefile.$Name \$LinkDir/makefile.$Name '' QUIET" >>$File
  
  createActivateScriptTail $File $Name
  #}
  File="../extensions/activate.${Name}_led.sh" #{
  createActivateScriptHead $File
  echo 'rm 2>/dev/null $LinkDir/makefile.*' >>$File
  
  # add createLinks for each link required for this extension
  ../scripts/printBaseExtensions.sh >>$File
  echo "activate.600_example_leds.sh QUIET" >>$File
  echo "createLink \$ScriptPath/makefile.$Name \$LinkDir/makefile.$Name '' QUIET" >>$File
  
  createActivateScriptTail $File $Name
  #}
  
#}semaphores
  echo "Installed successfully: $INSTALLPATH"

cd ..
#} IMPLEMENT YOUR INSTALL SCRIPT ABOVE -----------------------------------------------

exit 0
