#!/bin/bash

#
#  Install script for Fixpoint Mathematical Library 
#  URL: http://code.google.com/p/fixpointlib/
#
#  Script written by Gregor Rebel 2010-2011.
# 
#  Feel free do distribute and change to your own needs!
#
# Tested successfully on:
# Ubuntu 10.04 Netbook Edition x86
# KUbuntu 11.04 x86
# openSuSE 11.4 x86
# XUbuntu 11.10 x64

source scripts/installFuncs.sh

if [ "$USER" == "root" ]; then
  echo "$0: ERROR this script should not been run as user root!"
  exit 10
fi

INSTALLPATH="600_example_lcd"
dir $INSTALLPATH
cd $INSTALLPATH

#{ IMPLEMENT YOUR INSTALL SCRIPT BELOW -----------------------------------------------

  cat <<END_OF_MAKEFILE >../extensions/makefile.$INSTALLPATH #{
#
#                               ToolChain_STM32
#
#                         Extension to central makefile
#
#                   makefile written by Gregor Rebel 2010-2011
#

EXTENSION_$INSTALLPATH = 1

ifdef EXTENSION_$INSTALLPATH
  
  # activate certain parts of source-code
  COMPILE_OPTS += -DEXTENSION_$INSTALLPATH

  
  INCLUDE_DIRS += -I additionals/examples/
  vpath %.c additionals/examples/
  
  MAIN_OBJS += example_lcd_320x240.o

endif

END_OF_MAKEFILE
#}
  File="../extensions/activate.${INSTALLPATH}.sh" #{
  createActivateScriptHead $File
  echo 'rm 2>/dev/null $LinkDir/makefile.*' >>$File
  
  # add createLinks for each link required for this extension
  ../scripts/printBaseExtensions.sh >>$File
  echo "activate.400_lcd_320x240_olimex.sh QUIET" >>$File
  echo "activate.100_board_olimex_lcd.sh QUIET" >>$File
  echo "createLink \$ScriptPath/makefile.$INSTALLPATH \$LinkDir/makefile.$INSTALLPATH '' QUIET"             >>$File
  
  createActivateScriptTail $File $INSTALLPATH
  #}

  echo "Installed successfully: $INSTALLPATH"

cd ..
#} IMPLEMENT YOUR INSTALL SCRIPT ABOVE -----------------------------------------------

exit 0
