#!/bin/bash

#
#  Install script for Fixpoint Mathematical Library 
#  URL: http://code.google.com/p/fixpointlib/
#
#  Script written by Gregor Rebel 2010-2011.
# 
#  Feel free do distribute and change to your own needs!
#
# Tested successfully on:
# Ubuntu 10.04 Netbook Edition x86
# KUbuntu 11.04 x86
# openSuSE 11.4 x86
# XUbuntu 11.10 x64

source scripts/installFuncs.sh

if [ "$USER" == "root" ]; then
  echo "$0: ERROR this script should not been run as user root!"
  exit 10
fi

INSTALLPATH="100_board_olimex_p107"
dir $INSTALLPATH
cd $INSTALLPATH

#{ IMPLEMENT YOUR INSTALL SCRIPT BELOW -----------------------------------------------
  Dir=`pwd`
  dir ../../Documentation/Boards
  cd ../../Documentation/Boards
  get http://olimex.com/dev/pdf/ARM/ST/ STM32-P107.pdf Board_STM32-P107.pdf
  get http://pdf1.alldatasheet.com/datasheet-pdf/view/162452/STMICROELECTRONICS/STE101P/+0W3W7WVPSLpETSpPKIbaZZTOfqgjUppKk+/ datasheet.pdf Board_STM32-P107_EthernetPhy_STE101P.pdf

  cd $Dir

  Name="${INSTALLPATH}" #{
  File="../extensions/makefile.${Name}" #{
  cat <<END_OF_MAKEFILE >$File 
#
#                               ToolChain_STM32
#
#                         Extension to central makefile
#
#                   makefile written by Gregor Rebel 2010-2011
#

EXTENSION_$Name = 1

ifdef EXTENSION_$Name

  # activate certain parts of source-code
  COMPILE_OPTS += -DEXTENSION_$Name
  COMPILE_OPTS += -DBOARD=$Name

  STM32F10X_CL   = 1
  uCONTROLLER    = STM32F10X_CL
  BOARD          = $Name

  COMPILE_OPTS += -DuCONTROLLER=$(uCONTROLLER)

  # set some well known port defines
  COMPILE_OPTS += -DPB_LED1=GPIOC,6
  COMPILE_OPTS += -DPB_LED2=GPIOC,7

endif

END_OF_MAKEFILE
#}
  File="../extensions/activate.${Name}.sh" #{
  createActivateScriptHead $File
  echo 'rm 2>/dev/null $LinkDir/makefile.100_board_*' >>$File
  
  # add createLinks for each link required for this extension
  echo "createLink \$ScriptPath/makefile.$Name \$LinkDir/makefile.$Name '' QUIET" >>$File
  
  createActivateScriptTail $File $Name
  #}

#}
  echo "Installed successfully: $INSTALLPATH"

cd ..
rmdir 2>/dev/null $INSTALLPATH
#} IMPLEMENT YOUR INSTALL SCRIPT ABOVE -----------------------------------------------

exit 0
